CVE-2021-21394

Improper Input Validation in pypi/matrix-synapse

Identifier

CVE-2021-21394

Package Slug

pypi/matrix-synapse

Vulnerability

Improper Input Validation

Description

Synapse is a Matrix reference homeserver written in python (pypi package matrix-synapse). Matrix is an ecosystem for open federated Instant Messaging and VoIP. Synapse is missing input validation of some parameters on the endpoints used to confirm third-party identifiers. This could cause excessive use of disk space and memory leading to resource exhaustion. Note that the groups feature is not part of the Matrix specification and the chosen maximum lengths are arbitrary. Not all clients might abide by them.

Affected Versions

All versions after 0.17.0 before 1.28.0

Solution

Upgrade to version 1.28.0 or above.

Last Modified

2021-04-23

source